For Developers

List Bell Schedules

This model is part of an upcoming API update which is currently in beta and therefore subject to change.

GET https://ed.link/api/v2/graph/bell_schedules

Retrieve a list of all Bell Schedules.

Request Parameters

This query allows for filtering results.

This query allows for standard paging parameters.

It is best practice to use either $first or $last in conjunction with the $next value returned by the API to paginate through results.

Sample Request

axios.get('https://ed.link/api/v2/graph/bell_schedules', {
    headers: {
        authorization: `Bearer ${integration_access_token}`
    }
});

Sample Response

{
    "$data": [
        {
            "id": "00000000-0000-0000-0000-000000000000",
            "created_date": "2021-07-05T20:32:40.454Z",
            "updated_date": "2021-07-12T21:44:23.126Z",
            "name": "Regular",
            "description": "This is the regular bell schedule on most instructional days."
        }
    ],
    "$request": "00000000-0000-0000-0000-000000000000"
}